| Box2D 2.2.1 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends
b2FrictionJoint Class Reference

`#include <b2FrictionJoint.h>`

Inheritance diagram for b2FrictionJoint:

List of all members.

## Public Member Functions
b2Vec2 | GetAnchorA () const
| Get the anchor point on bodyA in world coordinates.
b2Vec2 | GetAnchorB () const
| Get the anchor point on bodyB in world coordinates.
b2Vec2 | GetReactionForce (float32 inv_dt) const
| Get the reaction force on bodyB at the joint anchor in Newtons.
float32 | GetReactionTorque (float32 inv_dt) const
| Get the reaction torque on bodyB in N*m.
const b2Vec2 & | GetLocalAnchorA () const
| The local anchor point relative to bodyA's origin.
const b2Vec2 & | GetLocalAnchorB () const
| The local anchor point relative to bodyB's origin.
void | SetMaxForce (float32 force)
| Set the maximum friction force in N.
float32 | GetMaxForce () const
| Get the maximum friction force in N.
void | SetMaxTorque (float32 torque)
| Set the maximum friction torque in N*m.
float32 | GetMaxTorque () const
| Get the maximum friction torque in N*m.
void | Dump ()
| Dump joint to dmLog.
## Protected Member Functions
| b2FrictionJoint (const b2FrictionJointDef *def)
void | InitVelocityConstraints (const b2SolverData &data)
void | SolveVelocityConstraints (const b2SolverData &data)
bool | SolvePositionConstraints (const b2SolverData &data)
## Protected Attributes
b2Vec2 | m_localAnchorA
b2Vec2 | m_localAnchorB
b2Vec2 | m_linearImpulse
float32 | m_angularImpulse
float32 | m_maxForce
float32 | m_maxTorque
int32 | m_indexA
int32 | m_indexB
b2Vec2 | m_rA
b2Vec2 | m_rB
b2Vec2 | m_localCenterA
b2Vec2 | m_localCenterB
float32 | m_invMassA
float32 | m_invMassB
float32 | m_invIA
float32 | m_invIB
b2Mat22 | m_linearMass
float32 | m_angularMass
## Friends
class | b2Joint

## Detailed Description

Friction joint. This is used for top-down friction. It provides 2D translational friction and angular friction.

The documentation for this class was generated from the following files:

- b2FrictionJoint.h
- b2FrictionJoint.cpp

All Classes Files Functions Variables Enumerations Enumerator Defines